<!-- <button class="btn icon-btn btn-sm btn-default" placement="bottom" ngbTooltip="Add/Remove Columns" (click)="openDialog(settingModal,{windowClass: 'modal-fill-in modal-lg modal-lg animate'})"><i
        class="fas fa-exchange-alt icon-primary font-icons"></i></button> -->


<!-- ADD REMOVE POPUP -->
<!-- <ng-template #settingModal let-c="close" let-d="dismiss" class="modal fade-scale">

        <div class="modal-header filter-head">
            <h3 class="modal-title"> <span class="font-weight-light">Add/Removed Columns</span></h3>
            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>
        <div class="modal-body filter-body">
            <div class="row-two filter-header">
                <div class="col-title">
                    <h4>Added Column</h4>
                    <div class="input-group">
                        <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_addCol"
                            (keyup)="onSearchInput($event, 'addCol')">
                        <span class="form-btn" *ngIf="searchText_addCol != ''" (click)="clearSearchText('addCol')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>

                <div class="col-title">
                    <h4>Removed Column</h4>
                    <div class="input-group">
                        <input class="form-control" placeholder="Search for..." type="text" [(ngModel)]="searchText_removeCol"
                            (keyup)="onSearchInput($event, 'removeCol')">
                        <span class="form-btn" *ngIf="searchText_removeCol != ''" (click)="clearSearchText('removeCol')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>
            </div>

            <div class="row-three">
                <div class="filter-list">
                    <ul class="list-group">
                        <li class="list-group-item" *ngFor="let col of displayedColumns_copy" [ngClass]="{'active':selectedItem == col}">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true" (click)="settingsChange('remove', 'remove-start', col)"></i></span>
                        </li>
                    </ul>
                </div>

                <div class="filter-list">
                    <ul class="list-group">
                        <li class="list-group-item" *ngFor="let col of nonDisplayedColumns_copy" [ngClass]="{'active':selectedItem == col}">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-add"><i class="fa fa-plus" aria-hidden="true" (click)="settingsChange('add', 'add-start', col)"></i></span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="modal-footer filter-foot">
            <button _ngcontent-c9="" class="btn btn-secondary" type="button" (click)="cancelClick()">Cancel</button>
            <button _ngcontent-c9="" class="btn btn-primary" type="button" (click)="applyClick()">Apply</button>
        </div>

</ng-template> -->
<!-- ADD REMOVE POPUP -->





<!-- ADD REMOVE COLUM -->
<!-- <button *ngIf="!detectmob() && !isReuse && openSettingsOnDemand()" class="btn icon-btn btn-sm btn-default btn-round  "
    placement="bottom" ngbTooltip="Add/Remove Columns" (click)="openSettingsWindow()">
    <i class="fas fa-exchange-alt icon-primary font-icons"></i>
</button>
<button *ngIf="detectmob()  && !isReuse && openSettingsOnDemand()" class="btn icon-btn btn-sm btn-default btn-round tooltipMobBottom" (press)="onLongPress('Add/Remove Columns')"
    (pressUp)="onPressUp()" (tap)="openSettingsWindow()">
    <i class="fas fa-exchange-alt icon-primary font-icons"></i>
    <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
</button> -->

<div class="filter-container" *ngIf="showSettingsWindow && !isReuse || openSettingsOnDemand()">
    <div class="filterontent">
        <div class="filter-main-header">

            <div class="row-one">
                <div class="main-head modal-header">
                    <div class="modal-title">Add/Remove Columns</div>
                     <div class="text-right close-btn">
                    <i class="ion ion-md-close" aria-hidden="true" (click)="cancelClick()"></i>
                </div>
                </div>

               
            </div>

        </div>

        <div class="app-filter-content">
            <div *ngIf="dataSources">
                <div *ngIf="dataSources.length >1" class="row-two filter-header">
                    <div class="col-title px-3 pt-2">
                        <label class="form-label label-material">Data Source </label>
                        <ng-select  placeholder="Select source" [allowClear]="false" [disabled]="!datamanager.isNewSheet" (ngModelChange)="selectDataSource($event)"
                        [options]="dataSources" [(ngModel)]="selectedDataSource" class="data_source_select"></ng-select>
                        <!-- <select class="custom-select" 
                            [ngClass]="{'bg': datamanager.isNewSheet,'dropdown-disable':!datamanager.isNewSheet}"
                            [(ngModel)]="selectedDataSource" (change)=selectDataSource()
                            [disabled]="!datamanager.isNewSheet" style="height:32px;">
                            <option class="option-material" *ngFor="let opt of dataSources" [value]="opt.entity_name"
                                [selected]="opt.selected == true">{{opt.entity_description}}</option>
                        </select> -->

                    </div>
                    <div class="col-title px-3 pt-2" style="border-left: 1px solid #ededed">

                    </div>
                </div>
            </div>
            <div class="row-two filter-header">
                <div class="col-title px-3 pb-3 pt-2">
                    <label class="form-label label-material">All Fields</label>
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                        <span class="form-btn" *ngIf="searchText_removeCol != ''"
                            (click)="clearSearchText('removeCol')"><i class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>

                <div class="col-title px-3 pb-3 pt-2" style="border-left: 1px solid #ededed">
                    <label class="form-label label-material">Selected Fields</label>
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_addCol" (keyup)="onSearchInput($event, 'addCol')">
                        <span class="form-btn" *ngIf="searchText_addCol != ''" (click)="clearSearchText('addCol')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>
            </div>


            <div class="row-three">
                <div class="filter-list list-row-split">
                    <div class="mx-3 px-2 py-2 mt-2"><b>Filters</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3">

                        <li class="list-group-item" *ngFor="let col of nonDisplayedDimensionColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('add', 'add-start', col, 'dimension')">
                            {{seriesDict.get(col)}}
                            <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                    (click)="settingsChange('add', 'add-start', col, 'dimension')"></i></span>
                        </li>
                    </ul>

                    <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">

                        <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('add', 'add-start', col, 'measure')">
                            {{seriesDict.get(col)}}
                            <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                    (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                        </li>
                    </ul>
                </div>

                <div class="filter-list list-row-split">
                    <div class="mx-3 px-2 py-2 mt-2"><b>Filters</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3">

                        <li class="list-group-item" *ngFor="let col of displayedDimensionColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                                    (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i></span>
                        </li>
                    </ul>

                    <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">
                        <li class="list-group-item" *ngFor="let col of displayedMeasureColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                                    (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i></span>
                        </li>
                    </ul>
                </div>
            </div>

        </div>

        <div class="app-filter-btn modal-footer">
            <span class="warning-text">{{warningText}}</span>
            <button _ngcontent-c9="" class="btn btn-default device-btn" type="button"
                (click)="cancelClick()">Cancel</button>
            <button _ngcontent-c9="" class="btn device-btn"
                [ngClass]="canApply ? 'btn-primary': 'btn-primary'" type="button"
                (click)="applyClick()">Apply</button>
        </div>

    </div>
</div>

<!-- New Analysis -->

<div *ngIf="isReuse" class="app-filter-content" style='width:100% !important'>

    <div class="row-two filter-header">
        <div class="col-title">
            <h5>All Fields</h5>
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text"
                    [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                <span class="form-btn" *ngIf="searchText_removeCol != ''" (click)="clearSearchText('removeCol')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>
            </div>
        </div>
        <div class="col-title">
            <h5>Selected Fields</h5>
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text"
                    [(ngModel)]="searchText_addCol" (keyup)="onSearchInput($event, 'addCol')">
                <span class="form-btn" *ngIf="searchText_addCol != ''" (click)="clearSearchText('addCol')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>
            </div>
        </div>
    </div>


    <div class="row-three">
        <div class="filter-list list-row-split">
            <span class="ml-2"><b>Filters</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of nonDisplayedDimensionColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('add', 'add-start', col, 'dimension')">
                    {{seriesDict.get(col)}}
                    <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                            (click)="settingsChange('add', 'add-start', col, 'dimension')"></i></span>
                </li>
            </ul>

            <span class="ml-2"><b>Metrics</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('add', 'add-start', col, 'measure')">
                    {{seriesDict.get(col)}}
                    <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                            (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                </li>
            </ul>
        </div>

        <div class="filter-list list-row-split">
            <span class="ml-2"><b>Filters</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of displayedDimensionColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('remove', 'remove-start', col, 'dimension')">
                    {{seriesDict.get(col)}}
                    <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i></span>
                </li>
            </ul>

            <span class="ml-2"><b>Metrics</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of displayedMeasureColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('remove', 'remove-start', col, 'measure')">
                    {{seriesDict.get(col)}}
                    <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i></span>
                </li>
            </ul>
        </div>
    </div>

</div>


<!-- New Analysis -->
<!-- ADD REMOVE COLUM -->